import createNextIntlPlugin from "next-intl/plugin";

const withNextIntl = createNextIntlPlugin();

/** @type {import('next').NextConfig} */
const nextConfig = {
  webpack: (config) => {
    config.ignoreWarnings = [
      ...(config.ignoreWarnings ?? []),
      {
        message: /Build dependencies behind this expression are ignored/,
      },
    ];

    return config;
  },
};

export default withNextIntl(nextConfig);
